import 'package:json_annotation/json_annotation.dart';

part 'scan_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class ScanResponseDTO {
  ScanResponseDTO(
      {required this.message, required this.succeeded, required this.noteId});

  final bool succeeded;
  final String message;
  final String? noteId;

  factory ScanResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$ScanResponseDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$ScanResponseDTOToJson(this);
}
